package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.OrgType;
import com.sa.ibiz.demo.demo.service.dto.OrgTypeSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[OrgType] 服务对象接口
 */
public interface OrgTypeService extends IService<OrgType>{

	boolean remove(OrgType et);
		OrgType get(OrgType et);
	boolean create(OrgType et);
	boolean update(OrgType et);
	boolean getDraft(OrgType et);
	boolean checkKey(OrgType et);
    List<OrgType> listDefault(OrgTypeSearchFilter filter) ;
	Page<OrgType> searchDefault(OrgTypeSearchFilter filter);
	/**	 实体[OrgType] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }